MacDraft5Parser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
MacDraft5Parser Class Reference

the main class to read a MacDraft5 v4-v5 file More...

`#include <MacDraft5Parser.hxx>`

Inheritance diagram for MacDraft5Parser:

## Public Member Functions
| MacDraft5Parser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~MacDraft5Parser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGDrawingInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWGraphicParser
virtual | ~MWAWGraphicParser ()
| destructor More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
void | createDocument (librevenge::RVNGDrawingInterface *documentInterface)
| creates the listener which will be associated to the document More...
bool | send (MacDraft5ParserInternal::Image const &image)
| try to send all shapes in an image More...
bool | send (MacDraft5ParserInternal::Layout const &layout)
| try to send all shapes in an layout More...
bool | send (MacDraft5ParserInternal::Shape const &shape, MacDraft5ParserInternal::Layout const &layout)
| try to send a shape in a layout More...
bool | sendBitmap (MacDraft5ParserInternal::Shape const &bitmap, MWAWPosition const &position)
| try to send a bitmap More...
bool | sendText (int layoutId, long shapeId)
| try to send text with given id More...
bool | createZones ()
| finds the different objects zones More...
bool | readPrintInfo ()
| try to read the print info zone More...
bool | readDocHeader ()
| try to read the doc header zone ( mainly unknown ) More...
bool | readDocFooter ()
| try to read last doc zone More...
bool | readLibraryHeader ()
| try to read the library header zone ( mainly unknown ) More...
bool | readLibraryFooter ()
| try to read last library zone More...
bool | readObject (MacDraft5ParserInternal::Layout &layout)
| try to read an object More...
bool | readText (MacDraft5ParserInternal::Shape &shape)
| try to read the text data corresponding to a text shape More...
bool | readModifier (MacDraft5ParserInternal::Shape &shape)
| try to read a modifier More...
bool | readStringList ()
| try to read a list of strings More...
bool | readLayout (MacDraft5ParserInternal::Layout &layout)
| try to read the layout zone More...
bool | readLayoutDefinitions (MWAWEntry const &entry, bool inRsrc)
| try to read a LAYI:0 resource More...
bool | readLinks (MWAWEntry const &entry, bool inRsrc)
| try to read Link:128 resource More...
bool | readPICT (MWAWEntry const &entry, librevenge::RVNGBinaryData &pict)
| try to read a PICT entry (in data fork) More...
bool | readPICTList (MWAWEntry const &entry, bool inRsrc)
| try to read the PICT unknown entry: pnot:0 More...
bool | readViews (MWAWEntry const &entry, bool inRsrc)
| try to read a list of views : VIEW:1 More...
Protected Member Functions inherited from MWAWGraphicParser
| MWAWGraphicParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWGraphicParser (MWAWParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setFontConverter (MWAWFontConverterPtr fontConverter)
| sets the font convertor More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
shared_ptr< MacDraft5StyleManager > | m_styleManager
| the style manager More...
shared_ptr< MacDraft5ParserInternal::State > | m_state
| the state More...

## Friends
class | MacDraft5StyleManager
class | MacDraft5ParserInternal::SubDocument

## Detailed Description

the main class to read a MacDraft5 v4-v5 file

## Constructor & Destructor Documentation

MacDraft5Parser::MacDraft5Parser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

MacDraft5Parser::~MacDraft5Parser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool MacDraft5Parser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

void MacDraft5Parser::createDocument | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

bool MacDraft5Parser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

void MacDraft5Parser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by MacDraft5Parser().

void MacDraft5Parser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Implements MWAWGraphicParser.

bool MacDraft5Parser::readDocFooter | ( |  | ) |
| protected

try to read last doc zone

Referenced by createZones().

bool MacDraft5Parser::readDocHeader | ( |  | ) |
| protected

try to read the doc header zone ( mainly unknown )

Referenced by createZones().

bool MacDraft5Parser::readLayout | ( | MacDraft5ParserInternal::Layout & | layout | ) |
| protected

try to read the layout zone

Referenced by createZones().

bool MacDraft5Parser::readLayoutDefinitions | ( | MWAWEntry const & | entry,
|  | bool | inRsrc
| ) |  |
| protected

try to read a LAYI:0 resource

Referenced by MacDraft5StyleManager::readResource().

bool MacDraft5Parser::readLibraryFooter | ( |  | ) |
| protected

try to read last library zone

Referenced by createZones().

bool MacDraft5Parser::readLibraryHeader | ( |  | ) |
| protected

try to read the library header zone ( mainly unknown )

Referenced by createZones().

bool MacDraft5Parser::readLinks | ( | MWAWEntry const & | entry,
|  | bool | inRsrc
| ) |  |
| protected

try to read Link:128 resource

Referenced by MacDraft5StyleManager::readResource().

bool MacDraft5Parser::readModifier | ( | MacDraft5ParserInternal::Shape & | shape | ) |
| protected

try to read a modifier

Referenced by readObject().

bool MacDraft5Parser::readObject | ( | MacDraft5ParserInternal::Layout & | layout | ) |
| protected

try to read an object

Referenced by readLayout().

bool MacDraft5Parser::readPICT | ( | MWAWEntry const & | entry,
|  | librevenge::RVNGBinaryData & | pict
| ) |  |
| protected

try to read a PICT entry (in data fork)

Referenced by MacDraft5StyleManager::readResource().

bool MacDraft5Parser::readPICTList | ( | MWAWEntry const & | entry,
|  | bool | inRsrc
| ) |  |
| protected

try to read the PICT unknown entry: pnot:0

Referenced by MacDraft5StyleManager::readResource().

bool MacDraft5Parser::readPrintInfo | ( |  | ) |
| protected

try to read the print info zone

Referenced by checkHeader().

bool MacDraft5Parser::readStringList | ( |  | ) |
| protected

try to read a list of strings

Referenced by readObject().

bool MacDraft5Parser::readText | ( | MacDraft5ParserInternal::Shape & | shape | ) |
| protected

try to read the text data corresponding to a text shape

Referenced by readObject().

bool MacDraft5Parser::readViews | ( | MWAWEntry const & | entry,
|  | bool | inRsrc
| ) |  |
| protected

try to read a list of views : VIEW:1

Referenced by MacDraft5StyleManager::readResource().

bool MacDraft5Parser::send | ( | MacDraft5ParserInternal::Image const & | image | ) |
| protected

try to send all shapes in an image

Referenced by parse(), and send().

bool MacDraft5Parser::send | ( | MacDraft5ParserInternal::Layout const & | layout | ) |
| protected

try to send all shapes in an layout

bool MacDraft5Parser::send | ( | MacDraft5ParserInternal::Shape const & | shape,
|  | MacDraft5ParserInternal::Layout const & | layout
| ) |  |
| protected

try to send a shape in a layout

bool MacDraft5Parser::sendBitmap | ( | MacDraft5ParserInternal::Shape const & | bitmap,
|  | MWAWPosition const & | position
| ) |  |
| protected

try to send a bitmap

Referenced by send().

bool MacDraft5Parser::sendText | ( | int | layoutId,
|  | long | shapeId
| ) |  |
| protected

try to send text with given id

Referenced by MacDraft5ParserInternal::SubDocument::parse().

## Friends And Related Function Documentation

friend class MacDraft5ParserInternal::SubDocument
| friend

friend class MacDraft5StyleManager
| friend

Referenced by init().

## Member Data Documentation

shared_ptr<MacDraft5ParserInternal::State> MacDraft5Parser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), init(), parse(), readDocHeader(), readLayout(), readLayoutDefinitions(), readLibraryFooter(), send(), and sendText().

shared_ptr<MacDraft5StyleManager> MacDraft5Parser::m_styleManager
| protected

the style manager

Referenced by createZones(), init(), readObject(), and sendBitmap().

The documentation for this class was generated from the following files:

- MacDraft5Parser.hxx
- MacDraft5Parser.cxx